This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 797035 - Non-active projects should not allow Create Version
Non-active projects should not allow Create Version
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: WebSite (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
low Severity low
: ---
: 1.6.1
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-24 00:54 EST by David Mason
Modified: 2012-07-03 01:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6.1-SNAPSHOT (20120608-0019)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 01:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-02-24 00:54:02 EST
Description of problem:
Maintainers and Administrators can add versions to read-only projects though the web interface, and Administrators can add versions to obsolete projects through the web interface.

Version-Release number of selected component (if applicable):
1.5-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1.Sign in as admin
2.Mark a project as read-only or obsolete
3.Add a version to the project
  
Actual results:
Version can be added

Expected results:
Version cannot be added to a read-only or obsolete project

Additional info:
This can only be done through the web interface - versions cannot be added through the REST interface for non-active projects.
Comment 2 Ding-Yi Chen 2012-06-11 22:58:16 EDT
Verified Zanata version 1.6.1-SNAPSHOT (20120608-0019)

Note You need to log in before you can comment on or make changes to this bug.